#if defined(HAVE_CONFIG_H)
#include "../hdrfiles/config.h"
#endif

#include "../hdrfiles/includes.h"

/*--------------------------------------------------------*/
/* Talker-related include files                           */ 
/*--------------------------------------------------------*/
#include "../hdrfiles/osdefs.h"
/*
#include "../hdrfiles/authuser.h"
#include "../hdrfiles/text.h"
*/
#include "../hdrfiles/constants.h"
#include "../hdrfiles/protos.h"

extern char mess[ARR_SIZE+25];    /* functions use mess to send output   */
extern char t_mess[ARR_SIZE+25];  /* functions use t_mess as a buffer    */

/*** Auto-restrict a site that is hacking on login ***/
void auto_restrict(int user)
{
char timestr[30];
char filename[FILE_NAME_LEN];
FILE *fp;

                        sprintf(t_mess,"%s/%s", RESTRICT_DIR, ustr[user].site);
                        strncpy(filename, t_mess, FILE_NAME_LEN);

                        if (!(fp=fopen(filename,"w"))) 
                          {
                           return;
                          }

                        sprintf(timestr,"%ld\n",(unsigned long)time(0));
                        fputs(timestr,fp);
                        FCLOSE(fp);

                        /* Add set reason to reason file */
                        sprintf(t_mess,"%s/%s.r", RESTRICT_DIR,ustr[user].site);
                        strncpy(filename, t_mess, FILE_NAME_LEN);

                        if (!(fp=fopen(filename,"w"))) 
                          {
                           return;
                          }
                        fputs("Your site is denied access for hacking\n",fp);
                        FCLOSE(fp);

                        /* Add set comment to comment file */
                        sprintf(t_mess,"%s/%s.c",RESTRICT_DIR,ustr[user].site);
                        strncpy(filename, t_mess, FILE_NAME_LEN);

                        if (!(fp=fopen(filename,"w"))) 
                          {
                           return;
                          }
                        sprintf(mess,"Site denied access for hacking, possibly user %s\n",ustr[user].login_name);
                        fputs(mess,fp);
                        FCLOSE(fp);

write_log(BANLOG,YESTIME,"AUTO-RESTRICT of site %s, possibly user %s\n",ustr[user].site,ustr[user].login_name);
}

